% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
classdef PVS_checker < handle
    % class contains all the functionality specific to the PVS theorem
    % prover
    
    properties
        
        default_type = 'real';
        pvs_version = [];
        output_type = [];
        input_type = [];
        data = [];
        mode = []; % 0 - graphical, 1 - command
        multi_mode = 1;
        type_mode = [];
    end
    
    % Static Functions
    methods(Static)
        
        [theory_id, decls] = parse_prf_file(string);
        
        
        [decl_id,new_pos] = parse_decl_id(string,pos);
        
        
        [id,new_pos] = parse_id(string,pos);
        
        
        [paren_string, new_pos] = parse_paren(string,pos);
        
        matlab_type = matlab_type_to_pvs_type( pvs_type );
        
        
        version = get_pvs_version;
        
        [ replaced ] = replace_types_sim( pvs_type, sim_type );

        
    end
    
    
    methods
        
        %% PVS_checker
        %   constructor
        % inputs:
        %   data - data object
        % outputs;
        %   object - created object
        function object = PVS_checker(data)
            object.data = data;
        end
        
        
        
    end
    
end

